#! /bin/bash

RECORD=$1

# convert wav file to mat in view of the spectrogram extraction with octave
recwave=$1".wav"

echo "python convertWav2mat.py" $recwave
python convertWav2mat.py $recwave

# use octave to extract spectrogram
octave -q -f --eval "pkg load signal;\
createClassificationInputData('$RECORD')"

echo "python test.py " $RECORD
python test.py $RECORD